Package org.jcsp.plugNplay.ints

# Class BlackHoleInt

java.lang.Object
org.jcsp.plugNplay.ints.BlackHoleInt

All Implemented Interfaces:
  `CSProcess`

public final class BlackHoleInt extends Object implements CSProcess
Black holes anything sent to it.

## Process Diagram

## Description

`BlackHoleInt` is a process that accepts everything sent to it. This class can be used to ignore the output from a process while ensuring that the data is always read from the channel.

Note: this functionality is (more efficiently) provided by a `BlackHoleChannelInt`.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`BlackHoleInt(ChannelInputInt in)`
Construct a new BlackHoleInt process with the input Channel in.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlackHoleInt

public BlackHoleInt(ChannelInputInt in)
Construct a new BlackHoleInt process with the input Channel in.

Parameters:
  `in` - the input channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`